<?php include 'header.php'; ?>

<div class="dashboard-main-body">
    <div class="d-flex flex-wrap align-items-center justify-content-between gap-3 mb-24">
        <h6 class="fw-semibold mb-0">Admin Table</h6>
        <ul class="d-flex align-items-center gap-2">
            <li class="fw-medium">
                <a href="index.php" class="d-flex align-items-center gap-1 hover-text-primary">
                    <iconify-icon icon="solar:home-smile-angle-outline" class="icon text-lg"></iconify-icon>
                    Wallet
                </a>
            </li>
            <li>-</li>
            <li class="fw-medium">Admin Table</li>
        </ul>
    </div>
    
    <div class="card basic-data-table">
        <div class="card-header">
            <h5 class="card-title mb-0">Admin Data</h5>
        </div>
        <div class="card-body">
            <table class="table bordered-table mb-0" id="dataTable" data-page-length='10'>
                <thead>
                    <tr>
                        <th scope="col">S.L</th>
                        <th scope="col">ID</th>
                        <th scope="col">Username</th>
                        <th scope="col">Email</th>
                        <th scope="col">Reg Date</th>
                    </tr>
                </thead>
                <tbody>
                <?php
                include 'db.php';

                // SQL query to fetch all admin data
                $sql = "SELECT id, username, email, created_at FROM admin";
                $result = $conn->query($sql);

                if ($result->num_rows > 0) {
                    $index = 1;
                    while ($admin = $result->fetch_assoc()) {
                        echo "<tr>
                                <td>
                                    <div class='form-check style-check d-flex align-items-center'>
                                        <input class='form-check-input' type='checkbox'>
                                        <label class='form-check-label'>$index</label>
                                    </div>
                                </td>
                                <td><a href='javascript:void(0)' class='text-primary-600'>#" . htmlspecialchars($admin['id']) . "</a></td>
                                <td>" . htmlspecialchars($admin['username']) . "</td>
                                <td>" . htmlspecialchars($admin['email']) . "</td>
                                <td>" . date('d M Y', strtotime($admin['created_at'])) . "</td>
                              
                              </tr>";
                        $index++;
                    }
                } else {
                    echo "<tr><td colspan='6'>No admins found.</td></tr>";
                }

                // Close connection
                $conn->close();
                ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
