<?php include 'header.php'; ?>

<div class="dashboard-main-body">
    <div class="d-flex flex-wrap align-items-center justify-content-between gap-3 mb-24">
        <h6 class="fw-semibold mb-0">Basic Table</h6>
        <ul class="d-flex align-items-center gap-2">
            <li class="fw-medium">
                <a href="index.php" class="d-flex align-items-center gap-1 hover-text-primary">
                    <iconify-icon icon="solar:home-smile-angle-outline" class="icon text-lg"></iconify-icon>
                    Wallet
                </a>
            </li>
            <li>-</li>
            <li class="fw-medium">Basic Table</li>
        </ul>
    </div>
    
    <div class="card basic-data-table">
        <div class="card-header">
            <h5 class="card-title mb-0">User Payment Withdrawals</h5>
        </div>
        <div class="card-body">
            <table class="table bordered-table mb-0" id="dataTable" data-page-length='10'>
                <thead>
                    <tr>
                        <th scope="col">S.L</th>
                        <th scope="col">Invoice</th>
                        <th scope="col">User Id</th>
                        <th scope="col">User Name</th>
                        <th scope="col">Bank Name</th>
                        <th scope="col">Bank Number</th>
                        <th scope="col">Withdrawal Amount</th>
                        <th scope="col">Type</th>
                        <th scope="col">Issued Date</th>
                        <!-- <th scope="col">View</th> -->
                    </tr>
                </thead>
                <tbody>
    <?php
include 'db.php';

    // SQL query to fetch all payment withdrawals
    $sql = "SELECT id, user_id, user_name, bank_name, bank_number, withdrawal_amount, type, created_at FROM payment_withdrawals";
    $result = $conn->query($sql);
    if ($result->num_rows > 0) {
        $index = 1;
        while ($withdrawal = $result->fetch_assoc()) {
            echo "<tr>
                    <td>
                        <div class='form-check style-check d-flex align-items-center'>
                            <input class='form-check-input' type='checkbox'>
                            <label class='form-check-label'>$index</label>
                        </div>
                    </td>
                    <td><a href='javascript:void(0)' class='text-primary-600'>#" . htmlspecialchars($withdrawal['id']) . "</a></td>
                    <td>" . htmlspecialchars($withdrawal['user_id']) . "</td>
                    <td>" . htmlspecialchars($withdrawal['user_name']) . "</td>
                    <td>" . htmlspecialchars($withdrawal['bank_name']) . "</td>
                    <td>" . htmlspecialchars($withdrawal['bank_number']) . "</td>
                    <td>" . htmlspecialchars($withdrawal['withdrawal_amount']) . "</td>
                    <td>" . htmlspecialchars($withdrawal['type']) . "</td>
                    <td>" . date('d M Y', strtotime($withdrawal['created_at'])) . "</td>

                </tr>";
            $index++;
        }
    } else {
        echo "<tr><td colspan='9'>No withdrawals found.</td></tr>"; // Adjust colspan based on your columns
    }
    
    

    // Close connection
    $conn->close();
    ?>
                </tbody>
            </table>
        </div>
    </div>
</div>

<?php include 'footer.php'; ?>
